Package org.apache.cxf.transport

# Interface ConduitInitiator

public interface ConduitInitiator
Factory for Conduits.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Conduit`
  `getConduit(EndpointInfo targetInfo, Bus bus)`
  Initiate an outbound Conduit.
  `Conduit`
  `getConduit(EndpointInfo localInfo, org.apache.cxf.ws.addressing.EndpointReferenceType target, Bus bus)`
  Initiate an outbound Conduit.
  `List<String>`
  `getTransportIds()`
  `Set<String>`
  `getUriPrefixes()`

- ## Method Details

  - ### getConduit

    Conduit getConduit(EndpointInfo targetInfo, Bus bus) throws IOException
    Initiate an outbound Conduit.
    Parameters:
      `targetInfo` - the endpoint info of the target
    Returns:
      a suitable new or pre-existing Conduit
    Throws:
      `IOException`

  - ### getConduit

    Conduit getConduit(EndpointInfo localInfo, org.apache.cxf.ws.addressing.EndpointReferenceType target, Bus bus) throws IOException
    Initiate an outbound Conduit.
    Parameters:
      `localInfo` - the endpoint info for a local endpoint on which the the configuration should be based
      `target` - the target EPR
    Returns:
      a suitable new or pre-existing Conduit
    Throws:
      `IOException`

  - ### getUriPrefixes

    Set<String> getUriPrefixes()

  - ### getTransportIds

    List<String> getTransportIds()